﻿using ProjetBlazor.Modeles;

namespace ProjetBlazor.Services
{
    public class DataApiService : IDataService
    {
        private readonly HttpClient _http;

        public DataApiService(HttpClient http)
        {
            _http = http;
        }

        public async Task AddInPlaylist(Musique musique)
        {
            // Get the item
            //var item = ItemFactory.Create(model);

            // Save the data
            await _http.PostAsJsonAsync("https://localhost:7234/api/", musique);
        }

        public Task<List<Musique>> List(int currentPage, int pageSize)
        {
            return await _http.GetFromJsonAsync<List<Musique>>($"https://localhost:7234/api/Crafting/?currentPage={currentPage}&pageSize={pageSize}");
        }
    }
}
